V0 - Report Counters (externalId)
Returns counts of expense reports in the given organization, grouped by lifecycle status. Use this to populate dashboard summaries — e.g. “X reports pending approval,
Y awaiting payment”. The counterStatuses query parameter selects which counts to compute.
GET
/
organizations
/
externalid
/
{externalId}
/
reportcounters
/
V0 - Report Counters (externalId)
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"counters": {
"NEW": 4,
"NORMAL": 7,
"SEND": 0,
"SENT": 12,
"APPROVAL": 3,
"APPROVED": 9,
"REJECTED": 1,
"PAID": 26,
"TRANSFER": 0,
"TRANSFER_TO_RECIPIENT": 0,
"ERROR": 0,
"READY_TO_SEND": 2
}
}{
"result": "error",
"description": "organization not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Standard application/json content type.
Findity API version. Use 3 for the current admin API.
Path Parameters
The external source id of the organization
Query Parameters
Lower bound for report creation date (inclusive), ISO-8601. Omit to count from the start of time.
Upper bound for report creation date (inclusive), ISO-8601. Omit to count up to "now".
Response
OK
Last modified on August 31, 2026
⌘I
V0 - Report Counters (externalId)
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/reportcounters/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"counters": {
"NEW": 4,
"NORMAL": 7,
"SEND": 0,
"SENT": 12,
"APPROVAL": 3,
"APPROVED": 9,
"REJECTED": 1,
"PAID": 26,
"TRANSFER": 0,
"TRANSFER_TO_RECIPIENT": 0,
"ERROR": 0,
"READY_TO_SEND": 2
}
}{
"result": "error",
"description": "organization not found"
}
